%define name		libftdi
%define	version		0.20
%define release		%mkrel 2
%define major		1
%define libname		%mklibname ftdi %{major}
%define develname	%mklibname ftdi -d


%define    enable_async_mode 0
Summary:   Library to program and control the FTDI USB controller
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   LGPL for libftdi and GPLv2+linking exception for the C++ wrapper
Group:     System/Libraries
URL:       http://www.intra2net.com/en/developer/libftdi
Source:    http://www.intra2net.com/en/developer/libftdi/download/%{name}-%{version}.tar.xz
BuildRequires: libusb-devel
BuildRequires: pkgconfig
BuildRequires: doxygen

%description 
Library to program and control the FTDI USB controller


%package -n	%{libname}
Summary:	Library to program and control the FTDI USB controller
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Library to program and control the FTDI USB controller


%package -n	%{develname}
Summary:	Development related files for LibAST
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}


%description -n	%{develname}
Install this package if you need to compile applications that needs
%{name}.


%prep
%setup -q

%build

PARAMS=""
%configure2_5x \
%if %{enable_async_mode}
    --with-async-mode \
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Remove example programs
rm -f %{buildroot}%{_bindir}/simple
rm -f %{buildroot}%{_bindir}/bitbang
rm -f %{buildroot}%{_bindir}/bitbang2
rm -f %{buildroot}%{_bindir}/bitbang_ft2232
rm -f %{buildroot}%{_bindir}/bitbang_cbus
rm -f %{buildroot}%{_bindir}/find_all
rm -f %{buildroot}%{_bindir}/find_all_pp
rm -f %{buildroot}%{_bindir}/serial_test
rm -f %{buildroot}%{_bindir}/baud_test
rm -f %{buildroot}%{_libdir}/libftdi*.*a

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING.LIB COPYING.GPL LICENSE
%{_libdir}/libftdi*.so.*


%files -n %{develname}
%defattr(-,root,root)
%doc doc/html doc/man
%{_bindir}/libftdi-config
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
%{_includedir}/ftdi.hpp
%{_libdir}/libftdi.so
%{_libdir}/libftdipp.so

%clean
rm -rf %{buildroot}


%changelog
* Tue Oct 01 2013 billybot <billybot> 0.20-2pclos2013
- fix package

* Mon Sep 30 2013 billybot <billybot> 0.20-1pclos2013
- update
